> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Tasks



## OpenAPI

````yaml /openapi/producer.json post /producer/tasks
openapi: 3.0.0
info:
  title: Producer Music Generation
  version: 1.0.0
  description: API reference for Producer Music Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /producer/tasks:
    post:
      summary: Producer Tasks
      operationId: queryProducerTasks
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Producer Tasks Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Producer Tasks Id
                ids:
                  type: array
                  items:
                    type: string
                  description: Producer Tasks Ids
                action:
                  enum:
                    - retrieve
                    - retrieve_batch
                  type: string
                  default: retrieve
                  description: Producer Tasks Action
              example:
                action: retrieve
                id: task-id
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ProducerTaskRecord'
                  - type: object
                    required:
                      - items
                      - count
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/ProducerTaskRecord'
                        description: >-
                          Openapi.E706D672D7C9423286520Cf53219E7Bf.Items.0292Be2E7F61
                      count:
                        type: integer
                        minimum: 0
                        description: >-
                          Openapi.E706D672D7C9423286520Cf53219E7Bf.Count.A629C426074C
                  - type: object
                    additionalProperties: false
                    description: Openapi.E706D672D7C9423286520Cf53219E7Bf.2.13A92E368E44
              example:
                items: []
                count: 0
          description: Producer Tasks Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Producer Tasks Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Producer Tasks Response 400 Error Message
                      trace_id:
                        type: string
                        description: Producer Tasks Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Producer Tasks Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Producer Tasks Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Producer Tasks Response 400 Trace Id 2
          description: Producer Tasks Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Producer Tasks Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Producer Tasks Response 401 Error Message
                      trace_id:
                        type: string
                        description: Producer Tasks Response 401 Trace Id
          description: Producer Tasks Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Producer Tasks Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Producer Tasks Response 429 Error Message
                      trace_id:
                        type: string
                        description: Producer Tasks Response 429 Trace Id
          description: Producer Tasks Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Producer Tasks Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Producer Tasks Response 500 Error Message
                      trace_id:
                        type: string
                        description: Producer Tasks Response 500 Trace Id
          description: Producer Tasks Response 500
      security:
        - bearerAuth: []
components:
  schemas:
    ProducerTaskRecord:
      type: object
      required:
        - id
        - type
        - created_at
        - trace_id
        - request
      properties:
        id:
          type: string
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Id.2Faa133E59E6
        type:
          type: string
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Type.Af62Ca596623
        trace_id:
          type: string
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Trace Id.772Bbd5D445F
        request:
          $ref: '#/components/schemas/ProducerTaskRequestPayload'
        response:
          $ref: '#/components/schemas/ProducerTaskResultPayload'
        created_at:
          type: number
          format: double
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Created At.7A9D00313Db1
        started_at:
          type: number
          format: double
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Started At.7B44C855907D
        finished_at:
          type: number
          format: double
          nullable: true
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Finished At.1Ad2473E317A
        elapsed:
          type: number
          format: double
          minimum: 0
          nullable: true
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Elapsed.E0E856732C94
        user_id:
          type: string
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.User Id.3F421126Dd47
        actor_user_id:
          type: string
          nullable: true
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Actor User Id.00E63A938381
        api_id:
          type: string
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Api Id.Cbf2639Db6F3
        application_id:
          type: string
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Application Id.Ef295F576322
        credential_id:
          type: string
          nullable: true
          description: Openapi.E706D672D7C9423286520Cf53219E7Bf.Credential Id.691038C5Fbcb
        authorization_id:
          type: string
          nullable: true
          description: >-
            Openapi.E706D672D7C9423286520Cf53219E7Bf.Authorization
            Id.7E8E5253C7C9
    ProducerTaskRequestPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.E706D672D7C9423286520Cf53219E7Bf.Producertaskrequestpayload.Eab66Cb80D84
    ProducerTaskResultPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.E706D672D7C9423286520Cf53219E7Bf.Producertaskresultpayload.Eed2C84F7445
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````